Bug 74388 - xDSL timeouts insure frequent disconnects
Summary: xDSL timeouts insure frequent disconnects
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-network
Version: 7.3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: rcn-7.3
TreeView+ depends on / blocked
 
Reported: 2002-09-23 04:14 UTC by Craig Lawson
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2002-11-13 00:28:04 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2002:257 high SHIPPED_LIVE Updated redhat-config-network package available 2003-05-06 04:00:00 UTC
Red Hat Product Errata RHBA-2002:267 normal SHIPPED_LIVE Updated redhat-config-network package available 2003-02-07 15:19:58 UTC

Description Craig Lawson 2002-09-23 04:14:45 UTC
Description of Problem:
The timeouts for pppd and pppoe that are assigned by internet-druid interact
negatively and insure frequent disconnects. The timeouts cannot be altered
through either the internet-druid or neat interface.


Version-Release number of selected component (if applicable):
redhat-config-network-1.0.0-1

How Reproducible:
100%

Steps to Reproduce:
1. Configure an xDSL interface with internet-druid.
2. Establish a connection using rp3 or adsl-connect. Be sure to use the
configuration file created in step 1.
3. Don't use the network for about 20 seconds (might take longer).
4. Use "ps afx" to locate the adsl-connect, pppd, and pppoe processes. After
some time, the process IDs for pppd and pppoe will have changed. If using the
RP3 applet or another network interface monitor, the green "connected" light
will turn black.

Actual Results:
After periods of inactivity, the connection will be dropped. It usually takes 20
seconds, but could take longer.

Expected Results:
The connection should be stable.

Additional Information:
internet-druid gives the same value to both the pppd echo interval and the pppoe
timeout interval: 20 seconds. This causes a race condition where pppd issues an
LCP echo request at the same time that pppoe decides to die because of
inactivity. To avoid this problem, the pppoe info page advises against making
these values the same, and suggests that the pppoe timeout interval be 4 times
larger than the echo interval.

The relevant values in /etc/sysconfig/network-scripts/ifcfg-(whatever) are:
  PPPOE_TIMEOUT=20
  LCP_INTERVAL=20

Changing the PPPOE_TIMEOUT value to 80 solved the problem.

Comment 1 Harald Hoyer 2002-10-23 09:37:00 UTC
first beta of erratum is available at:
ftp://people.redhat.com/harald/redhat-config-network/1.0.1-1/

Most of the bugs reported have been removed, but as in every software change,
there could be new bugs introduced.

Please report bugs against this with explicitly stating the 1.0.1 version... Thx
and please test.

Comment 2 Craig Lawson 2002-11-13 00:27:15 UTC
I tested 1.0.3-1. This bug is fixed. Thanks!

Comment 3 John Flanagan 2003-02-14 21:04:26 UTC
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2002-267.html



Note You need to log in before you can comment on or make changes to this bug.